<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionProductsBlockCreateProductsBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'intro_image' => [
            'en'   => [
                'name' => 'Intro Image',
            ],
            'type' => 'anomaly.field_type.file',
        ],
        'intro_heading'     => [
            'en'     => [
                'name' => 'Intro Heading',
            ],
            'type'   => 'anomaly.field_type.text',
        ],
        'intro_text'     => [
            'en'     => [
                'name' => 'Intro Text',
            ],
            'type'   => 'anomaly.field_type.wysiwyg',
            'config'   => [
                'configuration' => 'basic',
            ],
        ],
        'intro_lead'     => [
            'en'     => [
                'name' => 'Intro Lead',
            ],
            'type'   => 'anomaly.field_type.text',
        ],
    ];
}
